[arch-commits] Commit in xsp/repos (24 files)
Tom Gundersen
tomegun at archlinux.org
Wed Oct 10 22:19:53 UTC 2012
Date: Wednesday, October 10, 2012 @ 18:19:53
Author: tomegun
Revision: 168400
db-move: moved xsp from [testing] to [extra] (i686, x86_64)
Added:
xsp/repos/extra-i686/PKGBUILD
(from rev 168398, xsp/repos/testing-i686/PKGBUILD)
xsp/repos/extra-i686/xsp.conf.d
(from rev 168398, xsp/repos/testing-i686/xsp.conf.d)
xsp/repos/extra-i686/xsp.install
(from rev 168398, xsp/repos/testing-i686/xsp.install)
xsp/repos/extra-i686/xsp.rc.d
(from rev 168398, xsp/repos/testing-i686/xsp.rc.d)
xsp/repos/extra-i686/xsp.service
(from rev 168398, xsp/repos/testing-i686/xsp.service)
xsp/repos/extra-i686/xsp.webapp
(from rev 168398, xsp/repos/testing-i686/xsp.webapp)
xsp/repos/extra-x86_64/PKGBUILD
(from rev 168398, xsp/repos/testing-x86_64/PKGBUILD)
xsp/repos/extra-x86_64/xsp.conf.d
(from rev 168398, xsp/repos/testing-x86_64/xsp.conf.d)
xsp/repos/extra-x86_64/xsp.install
(from rev 168398, xsp/repos/testing-x86_64/xsp.install)
xsp/repos/extra-x86_64/xsp.rc.d
(from rev 168398, xsp/repos/testing-x86_64/xsp.rc.d)
xsp/repos/extra-x86_64/xsp.service
(from rev 168398, xsp/repos/testing-x86_64/xsp.service)
xsp/repos/extra-x86_64/xsp.webapp
(from rev 168398, xsp/repos/testing-x86_64/xsp.webapp)
Deleted:
xsp/repos/extra-i686/PKGBUILD
xsp/repos/extra-i686/xsp.conf.d
xsp/repos/extra-i686/xsp.install
xsp/repos/extra-i686/xsp.rc.d
xsp/repos/extra-i686/xsp.webapp
xsp/repos/extra-x86_64/PKGBUILD
xsp/repos/extra-x86_64/xsp.conf.d
xsp/repos/extra-x86_64/xsp.install
xsp/repos/extra-x86_64/xsp.rc.d
xsp/repos/extra-x86_64/xsp.webapp
xsp/repos/testing-i686/
xsp/repos/testing-x86_64/
--------------------------+
extra-i686/PKGBUILD | 125 +++++++++++++++++++++++----------------------
extra-i686/xsp.conf.d | 20 +++----
extra-i686/xsp.install | 74 +++++++++++++-------------
extra-i686/xsp.rc.d | 80 ++++++++++++++--------------
extra-i686/xsp.service | 8 ++
extra-i686/xsp.webapp | 16 ++---
extra-x86_64/PKGBUILD | 125 +++++++++++++++++++++++----------------------
extra-x86_64/xsp.conf.d | 20 +++----
extra-x86_64/xsp.install | 74 +++++++++++++-------------
extra-x86_64/xsp.rc.d | 80 ++++++++++++++--------------
extra-x86_64/xsp.service | 8 ++
extra-x86_64/xsp.webapp | 16 ++---
12 files changed, 334 insertions(+), 312 deletions(-)
Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-i686/PKGBUILD 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-# Contributor: Tobias Kieslich <tobias at justdreams.de>
-
-pkgname=xsp
-pkgver=2.10.2
-pkgrel=3
-pkgdesc="A simple webserver based on mono - provides ASP.NET support"
-arch=(i686 x86_64)
-license=('custom')
-url="http://www.go-mono.com"
-depends=('mono>=2.10.2' 'sqlite')
-options=(!makeflags)
-install=${pkgname}.install
-source=(http://ftp.novell.com/pub/mono/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2 \
- ${pkgname}.rc.d ${pkgname}.conf.d ${pkgname}.webapp)
-md5sums=('4fe62fc95ad5dc136d8a7f3299d523b6'
- '9575bd7d6f64d51ba05bdd6370665858'
- '35d921df0fefc30f47a438c95d420efc'
- 'c917c07f68b945691506c29750db482f')
-
-build() {
- # get rid of that .wapi errors; thanks to brice
- export MONO_SHARED_DIR=${srcdir}/src/weird
- mkdir -p "${MONO_SHARED_DIR}"
- # import pathes
- # build
- cd ${srcdir}/${pkgname}-${pkgver}
- #sed -i 's|/bin/sh|\0\nexport MONO_PATH=${MONO_PATH}:/opt/mono/lib/mono/1.0|' scripts/script.in
- ./configure --prefix=/usr --sysconfdir=/etc
- make || return 1
- # tweak the xsp shellscript to grab system dll's
- for script in scripts/*2; do
- sed -i 's|/usr/lib/mono/1.0|/usr/lib/mono/2.0|' $script
- done
- #destdir related bugfixes
- sed -i 's|mkdir \$(datadir)|mkdir $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
- sed -i 's|gif \$(datadir)|gif $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
-}
-
-package(){
- cd ${srcdir}/${pkgname}-${pkgver}
- make DESTDIR=${pkgdir}/ install
- # move test files from share to arch' default html home
- mkdir -p ${pkgdir}/srv/http/html
- mv ${pkgdir}/usr/lib/xsp/test ${pkgdir}/srv/http/html/xsp
- rm -rf ${pkgdir}/usr/share
- chown -R http:http ${pkgdir}/srv/http/html/${pkgname}
-
- # install a deamon
- install -D -m755 ${srcdir}/${pkgname}.rc.d \
- ${pkgdir}/etc/rc.d/${pkgname}
- # install a deamon configurationfile
- install -D -m644 ${srcdir}/$pkgname.conf.d \
- ${pkgdir}/etc/conf.d/${pkgname}
- # install a xsp configuration home
- install -D -m644 ${srcdir}/${pkgname}.webapp \
- ${pkgdir}/etc/${pkgname}/${pkgname}.webapp
- install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
-
-}
Copied: xsp/repos/extra-i686/PKGBUILD (from rev 168398, xsp/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD (rev 0)
+++ extra-i686/PKGBUILD 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Tobias Kieslich <tobias at justdreams.de>
+
+pkgname=xsp
+pkgver=2.10.2
+pkgrel=4
+pkgdesc="A simple webserver based on mono - provides ASP.NET support"
+arch=(i686 x86_64)
+license=('custom')
+url="http://www.go-mono.com"
+depends=('mono>=2.10.2' 'sqlite')
+options=(!makeflags)
+install=${pkgname}.install
+source=(http://download.mono-project.com/sources/xsp/xsp-2.10.2.tar.bz2
+ ${pkgname}.rc.d ${pkgname}.conf.d ${pkgname}.webapp ${pkgname}.service)
+
+build() {
+ # get rid of that .wapi errors; thanks to brice
+ export MONO_SHARED_DIR=${srcdir}/src/weird
+ mkdir -p "${MONO_SHARED_DIR}"
+ # import pathes
+ # build
+ cd ${srcdir}/${pkgname}-${pkgver}
+ #sed -i 's|/bin/sh|\0\nexport MONO_PATH=${MONO_PATH}:/opt/mono/lib/mono/1.0|' scripts/script.in
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+ # tweak the xsp shellscript to grab system dll's
+ for script in scripts/*2; do
+ sed -i 's|/usr/lib/mono/1.0|/usr/lib/mono/2.0|' $script
+ done
+ #destdir related bugfixes
+ sed -i 's|mkdir \$(datadir)|mkdir $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
+ sed -i 's|gif \$(datadir)|gif $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
+}
+
+package(){
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir}/ install
+ # move test files from share to arch' default html home
+ mkdir -p ${pkgdir}/srv/http/html
+ mv ${pkgdir}/usr/lib/xsp/test ${pkgdir}/srv/http/html/xsp
+ rm -rf ${pkgdir}/usr/share
+ chown -R http:http ${pkgdir}/srv/http/html/${pkgname}
+
+ # install a deamon
+ install -D -m755 ${srcdir}/${pkgname}.rc.d \
+ ${pkgdir}/etc/rc.d/${pkgname}
+ # install a deamon configurationfile
+ install -D -m644 ${srcdir}/$pkgname.conf.d \
+ ${pkgdir}/etc/conf.d/${pkgname}
+ # install a xsp configuration home
+ install -D -m644 ${srcdir}/${pkgname}.webapp \
+ ${pkgdir}/etc/${pkgname}/${pkgname}.webapp
+ install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
+ # install systemd service file
+ install -D -m644 ${srcdir}/${pkgname}.service \
+ ${pkgdir}/usr/lib/systemd/system/xsp.service
+}
+md5sums=('4fe62fc95ad5dc136d8a7f3299d523b6'
+ '9575bd7d6f64d51ba05bdd6370665858'
+ '35d921df0fefc30f47a438c95d420efc'
+ 'c917c07f68b945691506c29750db482f'
+ '9d83bd36d209f8d36a11dfbc4fa50819')
Deleted: extra-i686/xsp.conf.d
===================================================================
--- extra-i686/xsp.conf.d 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-i686/xsp.conf.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,10 +0,0 @@
-# xsp options
-
-
-# note that is just the helping app for mod_mono if you like production like
-# quality
-# xsp is for ASP testing mainly -- read the manpage for xsp to know what
-# options are available. Archlinux will provide xsp configured by a .webapp
-# configuration file which rests in /etc/xsp
-
-XSP_PARAMS="--appconfigdir /etc/xsp"
Copied: xsp/repos/extra-i686/xsp.conf.d (from rev 168398, xsp/repos/testing-i686/xsp.conf.d)
===================================================================
--- extra-i686/xsp.conf.d (rev 0)
+++ extra-i686/xsp.conf.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,10 @@
+# xsp options
+
+
+# note that is just the helping app for mod_mono if you like production like
+# quality
+# xsp is for ASP testing mainly -- read the manpage for xsp to know what
+# options are available. Archlinux will provide xsp configured by a .webapp
+# configuration file which rests in /etc/xsp
+
+XSP_PARAMS="--appconfigdir /etc/xsp"
Deleted: extra-i686/xsp.install
===================================================================
--- extra-i686/xsp.install 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-i686/xsp.install 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,37 +0,0 @@
-# arg 1: the new package version
-post_install() {
- cat << EOM
-
---> xsp is just the helping app for mod_mono if you like a production like
---> server. xsp itself is for ASP testing mainly -- read the manpage for xsp
---> to know which options are available.
---> Archlinux will provide xsp configured by a .webapp configuration file
---> which rests in /etc/xsp. Just put your other webapp files there to let
---> xsp pick them up.
---> xsp is commandline based configuration is done in /etc/conf.d/xsp. Set all
---> your arguments there. Don't forget that you can run xsp from the console
---> as oridinary user, which is safer and for testing absolutely sufficient!!
-
---> You can run the testpages simply by starting the server and calling
- http://localhost:8080
---> from your browser's location bar
-
-
-EOM
-}
-
-# arg 1: the new package version
-# arg 2: the old package version
-post_upgrade() {
- post_install $1
-}
-
-# arg 1: the old package version
-pre_remove() {
- /bin/true
-}
-
-# arg 1: the old package version
-post_remove() {
- /bin/true
-}
Copied: xsp/repos/extra-i686/xsp.install (from rev 168398, xsp/repos/testing-i686/xsp.install)
===================================================================
--- extra-i686/xsp.install (rev 0)
+++ extra-i686/xsp.install 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,37 @@
+# arg 1: the new package version
+post_install() {
+ cat << EOM
+
+--> xsp is just the helping app for mod_mono if you like a production like
+--> server. xsp itself is for ASP testing mainly -- read the manpage for xsp
+--> to know which options are available.
+--> Archlinux will provide xsp configured by a .webapp configuration file
+--> which rests in /etc/xsp. Just put your other webapp files there to let
+--> xsp pick them up.
+--> xsp is commandline based configuration is done in /etc/conf.d/xsp. Set all
+--> your arguments there. Don't forget that you can run xsp from the console
+--> as oridinary user, which is safer and for testing absolutely sufficient!!
+
+--> You can run the testpages simply by starting the server and calling
+ http://localhost:8080
+--> from your browser's location bar
+
+
+EOM
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
Deleted: extra-i686/xsp.rc.d
===================================================================
--- extra-i686/xsp.rc.d 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-i686/xsp.rc.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-# source application-specific settings
-[ -f /etc/conf.d/xsp ] && . /etc/conf.d/xsp
-
-PID=`pidof -o %PPID /usr/bin/mono`
-case "$1" in
- start)
- stat_busy "Starting Xsp Daemon"
- if [ -z "$PID" ]; then
- /usr/bin/xsp $XSP_PARAMS --nonstop &> /dev/null &
- fi
- if [ ! -z "$PID" -o $? -gt 0 ]; then
- stat_fail
- else
- add_daemon xsp
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping Xsp Daemon"
- [ ! -z "$PID" ] && kill $PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon xsp
- stat_done
- fi
- ;;
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
Copied: xsp/repos/extra-i686/xsp.rc.d (from rev 168398, xsp/repos/testing-i686/xsp.rc.d)
===================================================================
--- extra-i686/xsp.rc.d (rev 0)
+++ extra-i686/xsp.rc.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+# source application-specific settings
+[ -f /etc/conf.d/xsp ] && . /etc/conf.d/xsp
+
+PID=`pidof -o %PPID /usr/bin/mono`
+case "$1" in
+ start)
+ stat_busy "Starting Xsp Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/xsp $XSP_PARAMS --nonstop &> /dev/null &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon xsp
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Xsp Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon xsp
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
Copied: xsp/repos/extra-i686/xsp.service (from rev 168398, xsp/repos/testing-i686/xsp.service)
===================================================================
--- extra-i686/xsp.service (rev 0)
+++ extra-i686/xsp.service 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,8 @@
+[Unit]
+Description=XSP Web Server
+
+[Service]
+ExecStart=/usr/bin/xsp --appconfigdir /etc/xsp --nonstop
+
+[Install]
+WantedBy=multi-user.target
Deleted: extra-i686/xsp.webapp
===================================================================
--- extra-i686/xsp.webapp 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-i686/xsp.webapp 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,8 +0,0 @@
-<apps>
- <web-application>
- <name>Root</name>
- <vpath>/</vpath>
- <path>/srv/http/html/xsp</path>
- <vhost>localhost</vhost>
- </web-application>
-</apps>
Copied: xsp/repos/extra-i686/xsp.webapp (from rev 168398, xsp/repos/testing-i686/xsp.webapp)
===================================================================
--- extra-i686/xsp.webapp (rev 0)
+++ extra-i686/xsp.webapp 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,8 @@
+<apps>
+ <web-application>
+ <name>Root</name>
+ <vpath>/</vpath>
+ <path>/srv/http/html/xsp</path>
+ <vhost>localhost</vhost>
+ </web-application>
+</apps>
Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-x86_64/PKGBUILD 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-# Contributor: Tobias Kieslich <tobias at justdreams.de>
-
-pkgname=xsp
-pkgver=2.10.2
-pkgrel=3
-pkgdesc="A simple webserver based on mono - provides ASP.NET support"
-arch=(i686 x86_64)
-license=('custom')
-url="http://www.go-mono.com"
-depends=('mono>=2.10.2' 'sqlite')
-options=(!makeflags)
-install=${pkgname}.install
-source=(http://ftp.novell.com/pub/mono/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2 \
- ${pkgname}.rc.d ${pkgname}.conf.d ${pkgname}.webapp)
-md5sums=('4fe62fc95ad5dc136d8a7f3299d523b6'
- '9575bd7d6f64d51ba05bdd6370665858'
- '35d921df0fefc30f47a438c95d420efc'
- 'c917c07f68b945691506c29750db482f')
-
-build() {
- # get rid of that .wapi errors; thanks to brice
- export MONO_SHARED_DIR=${srcdir}/src/weird
- mkdir -p "${MONO_SHARED_DIR}"
- # import pathes
- # build
- cd ${srcdir}/${pkgname}-${pkgver}
- #sed -i 's|/bin/sh|\0\nexport MONO_PATH=${MONO_PATH}:/opt/mono/lib/mono/1.0|' scripts/script.in
- ./configure --prefix=/usr --sysconfdir=/etc
- make || return 1
- # tweak the xsp shellscript to grab system dll's
- for script in scripts/*2; do
- sed -i 's|/usr/lib/mono/1.0|/usr/lib/mono/2.0|' $script
- done
- #destdir related bugfixes
- sed -i 's|mkdir \$(datadir)|mkdir $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
- sed -i 's|gif \$(datadir)|gif $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
-}
-
-package(){
- cd ${srcdir}/${pkgname}-${pkgver}
- make DESTDIR=${pkgdir}/ install
- # move test files from share to arch' default html home
- mkdir -p ${pkgdir}/srv/http/html
- mv ${pkgdir}/usr/lib/xsp/test ${pkgdir}/srv/http/html/xsp
- rm -rf ${pkgdir}/usr/share
- chown -R http:http ${pkgdir}/srv/http/html/${pkgname}
-
- # install a deamon
- install -D -m755 ${srcdir}/${pkgname}.rc.d \
- ${pkgdir}/etc/rc.d/${pkgname}
- # install a deamon configurationfile
- install -D -m644 ${srcdir}/$pkgname.conf.d \
- ${pkgdir}/etc/conf.d/${pkgname}
- # install a xsp configuration home
- install -D -m644 ${srcdir}/${pkgname}.webapp \
- ${pkgdir}/etc/${pkgname}/${pkgname}.webapp
- install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
-
-}
Copied: xsp/repos/extra-x86_64/PKGBUILD (from rev 168398, xsp/repos/testing-x86_64/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD (rev 0)
+++ extra-x86_64/PKGBUILD 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+# Contributor: Tobias Kieslich <tobias at justdreams.de>
+
+pkgname=xsp
+pkgver=2.10.2
+pkgrel=4
+pkgdesc="A simple webserver based on mono - provides ASP.NET support"
+arch=(i686 x86_64)
+license=('custom')
+url="http://www.go-mono.com"
+depends=('mono>=2.10.2' 'sqlite')
+options=(!makeflags)
+install=${pkgname}.install
+source=(http://download.mono-project.com/sources/xsp/xsp-2.10.2.tar.bz2
+ ${pkgname}.rc.d ${pkgname}.conf.d ${pkgname}.webapp ${pkgname}.service)
+
+build() {
+ # get rid of that .wapi errors; thanks to brice
+ export MONO_SHARED_DIR=${srcdir}/src/weird
+ mkdir -p "${MONO_SHARED_DIR}"
+ # import pathes
+ # build
+ cd ${srcdir}/${pkgname}-${pkgver}
+ #sed -i 's|/bin/sh|\0\nexport MONO_PATH=${MONO_PATH}:/opt/mono/lib/mono/1.0|' scripts/script.in
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+ # tweak the xsp shellscript to grab system dll's
+ for script in scripts/*2; do
+ sed -i 's|/usr/lib/mono/1.0|/usr/lib/mono/2.0|' $script
+ done
+ #destdir related bugfixes
+ sed -i 's|mkdir \$(datadir)|mkdir $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
+ sed -i 's|gif \$(datadir)|gif $(DESTDIR)$(datadir)|' test/2.0/treeview/Makefile
+}
+
+package(){
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir}/ install
+ # move test files from share to arch' default html home
+ mkdir -p ${pkgdir}/srv/http/html
+ mv ${pkgdir}/usr/lib/xsp/test ${pkgdir}/srv/http/html/xsp
+ rm -rf ${pkgdir}/usr/share
+ chown -R http:http ${pkgdir}/srv/http/html/${pkgname}
+
+ # install a deamon
+ install -D -m755 ${srcdir}/${pkgname}.rc.d \
+ ${pkgdir}/etc/rc.d/${pkgname}
+ # install a deamon configurationfile
+ install -D -m644 ${srcdir}/$pkgname.conf.d \
+ ${pkgdir}/etc/conf.d/${pkgname}
+ # install a xsp configuration home
+ install -D -m644 ${srcdir}/${pkgname}.webapp \
+ ${pkgdir}/etc/${pkgname}/${pkgname}.webapp
+ install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
+ # install systemd service file
+ install -D -m644 ${srcdir}/${pkgname}.service \
+ ${pkgdir}/usr/lib/systemd/system/xsp.service
+}
+md5sums=('4fe62fc95ad5dc136d8a7f3299d523b6'
+ '9575bd7d6f64d51ba05bdd6370665858'
+ '35d921df0fefc30f47a438c95d420efc'
+ 'c917c07f68b945691506c29750db482f'
+ '9d83bd36d209f8d36a11dfbc4fa50819')
Deleted: extra-x86_64/xsp.conf.d
===================================================================
--- extra-x86_64/xsp.conf.d 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-x86_64/xsp.conf.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,10 +0,0 @@
-# xsp options
-
-
-# note that is just the helping app for mod_mono if you like production like
-# quality
-# xsp is for ASP testing mainly -- read the manpage for xsp to know what
-# options are available. Archlinux will provide xsp configured by a .webapp
-# configuration file which rests in /etc/xsp
-
-XSP_PARAMS="--appconfigdir /etc/xsp"
Copied: xsp/repos/extra-x86_64/xsp.conf.d (from rev 168398, xsp/repos/testing-x86_64/xsp.conf.d)
===================================================================
--- extra-x86_64/xsp.conf.d (rev 0)
+++ extra-x86_64/xsp.conf.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,10 @@
+# xsp options
+
+
+# note that is just the helping app for mod_mono if you like production like
+# quality
+# xsp is for ASP testing mainly -- read the manpage for xsp to know what
+# options are available. Archlinux will provide xsp configured by a .webapp
+# configuration file which rests in /etc/xsp
+
+XSP_PARAMS="--appconfigdir /etc/xsp"
Deleted: extra-x86_64/xsp.install
===================================================================
--- extra-x86_64/xsp.install 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-x86_64/xsp.install 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,37 +0,0 @@
-# arg 1: the new package version
-post_install() {
- cat << EOM
-
---> xsp is just the helping app for mod_mono if you like a production like
---> server. xsp itself is for ASP testing mainly -- read the manpage for xsp
---> to know which options are available.
---> Archlinux will provide xsp configured by a .webapp configuration file
---> which rests in /etc/xsp. Just put your other webapp files there to let
---> xsp pick them up.
---> xsp is commandline based configuration is done in /etc/conf.d/xsp. Set all
---> your arguments there. Don't forget that you can run xsp from the console
---> as oridinary user, which is safer and for testing absolutely sufficient!!
-
---> You can run the testpages simply by starting the server and calling
- http://localhost:8080
---> from your browser's location bar
-
-
-EOM
-}
-
-# arg 1: the new package version
-# arg 2: the old package version
-post_upgrade() {
- post_install $1
-}
-
-# arg 1: the old package version
-pre_remove() {
- /bin/true
-}
-
-# arg 1: the old package version
-post_remove() {
- /bin/true
-}
Copied: xsp/repos/extra-x86_64/xsp.install (from rev 168398, xsp/repos/testing-x86_64/xsp.install)
===================================================================
--- extra-x86_64/xsp.install (rev 0)
+++ extra-x86_64/xsp.install 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,37 @@
+# arg 1: the new package version
+post_install() {
+ cat << EOM
+
+--> xsp is just the helping app for mod_mono if you like a production like
+--> server. xsp itself is for ASP testing mainly -- read the manpage for xsp
+--> to know which options are available.
+--> Archlinux will provide xsp configured by a .webapp configuration file
+--> which rests in /etc/xsp. Just put your other webapp files there to let
+--> xsp pick them up.
+--> xsp is commandline based configuration is done in /etc/conf.d/xsp. Set all
+--> your arguments there. Don't forget that you can run xsp from the console
+--> as oridinary user, which is safer and for testing absolutely sufficient!!
+
+--> You can run the testpages simply by starting the server and calling
+ http://localhost:8080
+--> from your browser's location bar
+
+
+EOM
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
Deleted: extra-x86_64/xsp.rc.d
===================================================================
--- extra-x86_64/xsp.rc.d 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-x86_64/xsp.rc.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-# source application-specific settings
-[ -f /etc/conf.d/xsp ] && . /etc/conf.d/xsp
-
-PID=`pidof -o %PPID /usr/bin/mono`
-case "$1" in
- start)
- stat_busy "Starting Xsp Daemon"
- if [ -z "$PID" ]; then
- /usr/bin/xsp $XSP_PARAMS --nonstop &> /dev/null &
- fi
- if [ ! -z "$PID" -o $? -gt 0 ]; then
- stat_fail
- else
- add_daemon xsp
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping Xsp Daemon"
- [ ! -z "$PID" ] && kill $PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon xsp
- stat_done
- fi
- ;;
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
Copied: xsp/repos/extra-x86_64/xsp.rc.d (from rev 168398, xsp/repos/testing-x86_64/xsp.rc.d)
===================================================================
--- extra-x86_64/xsp.rc.d (rev 0)
+++ extra-x86_64/xsp.rc.d 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+# source application-specific settings
+[ -f /etc/conf.d/xsp ] && . /etc/conf.d/xsp
+
+PID=`pidof -o %PPID /usr/bin/mono`
+case "$1" in
+ start)
+ stat_busy "Starting Xsp Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/xsp $XSP_PARAMS --nonstop &> /dev/null &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon xsp
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Xsp Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon xsp
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
Copied: xsp/repos/extra-x86_64/xsp.service (from rev 168398, xsp/repos/testing-x86_64/xsp.service)
===================================================================
--- extra-x86_64/xsp.service (rev 0)
+++ extra-x86_64/xsp.service 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,8 @@
+[Unit]
+Description=XSP Web Server
+
+[Service]
+ExecStart=/usr/bin/xsp --appconfigdir /etc/xsp --nonstop
+
+[Install]
+WantedBy=multi-user.target
Deleted: extra-x86_64/xsp.webapp
===================================================================
--- extra-x86_64/xsp.webapp 2012-10-10 22:19:40 UTC (rev 168399)
+++ extra-x86_64/xsp.webapp 2012-10-10 22:19:53 UTC (rev 168400)
@@ -1,8 +0,0 @@
-<apps>
- <web-application>
- <name>Root</name>
- <vpath>/</vpath>
- <path>/srv/http/html/xsp</path>
- <vhost>localhost</vhost>
- </web-application>
-</apps>
Copied: xsp/repos/extra-x86_64/xsp.webapp (from rev 168398, xsp/repos/testing-x86_64/xsp.webapp)
===================================================================
--- extra-x86_64/xsp.webapp (rev 0)
+++ extra-x86_64/xsp.webapp 2012-10-10 22:19:53 UTC (rev 168400)
@@ -0,0 +1,8 @@
+<apps>
+ <web-application>
+ <name>Root</name>
+ <vpath>/</vpath>
+ <path>/srv/http/html/xsp</path>
+ <vhost>localhost</vhost>
+ </web-application>
+</apps>
More information about the arch-commits
mailing list